package gov.usgs.earthquake.nshmp.netcdf;

import com.google.common.base.CaseFormat;

public enum NshmGroup {

  CONUS_2018(
      "2018 Conterminous U.S. NSHM",
      "/CONUS/2018/v1.1",
      2);

  private final String display;
  private final String baseGroup;
  private final int locationPrecision;

  private NshmGroup(String display, String baseGroup, int locationPrecision) {
    this.display = display;
    this.baseGroup = baseGroup;
    this.locationPrecision = locationPrecision;
  }

  @Override
  public String toString() {
    return display;
  }

  public String model() {
    return CaseFormat.UPPER_UNDERSCORE.to(CaseFormat.LOWER_HYPHEN, name());
  }

  /**
   * Returns the NetCDF target base group to read.
   */
  public String baseGroup() {
    return baseGroup;
  }

  /**
   * Returns the spacing for the locations.
   */
  public int locationPrecision() {
    return locationPrecision;
  }

}
