package gov.usgs.earthquake.nshmp.netcdf;

import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.junit.jupiter.api.Assertions.assertThrows;

import org.junit.jupiter.api.Test;

class SiteClassTests {

  @Test
  final void testVs30() {
    assertEquals(2000, SiteClass.A.vs30());
    assertEquals(1500, SiteClass.AB.vs30());
    assertEquals(1080, SiteClass.B.vs30());
    assertEquals(760, SiteClass.BC.vs30());
    assertEquals(530, SiteClass.C.vs30());
    assertEquals(365, SiteClass.CD.vs30());
    assertEquals(260, SiteClass.D.vs30());
    assertEquals(185, SiteClass.DE.vs30());
    assertEquals(150, SiteClass.E.vs30());
  }

  @Test
  final void testOfValue() {
    assertEquals(SiteClass.A, SiteClass.ofValue(2000));
    assertEquals(SiteClass.AB, SiteClass.ofValue(1500));
    assertEquals(SiteClass.B, SiteClass.ofValue(1080));
    assertEquals(SiteClass.BC, SiteClass.ofValue(760));
    assertEquals(SiteClass.C, SiteClass.ofValue(530));
    assertEquals(SiteClass.CD, SiteClass.ofValue(365));
    assertEquals(SiteClass.D, SiteClass.ofValue(260));
    assertEquals(SiteClass.DE, SiteClass.ofValue(185));
    assertEquals(SiteClass.E, SiteClass.ofValue(150));

    assertThrows(IllegalArgumentException.class,
        () -> {
          SiteClass.ofValue(0);
        });
  }

}
